> ## Documentation Index
> Fetch the complete documentation index at: https://doc.ekyc.daksam.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Authenticate API

> Authenticate using your API key and secret to get an access token.



## OpenAPI

````yaml POST /kyc-api/v1.0/authenticate
openapi: 3.0.1
info:
  title: DakSam eKYC API Documentation
  description: >-
    Welcome to the DakSam eKYC API documentation. This document provides
    instructions on how to use the API for Know Your Customer (eKYC) processes.
    Please follow the guidelines below to integrate our API into your
    application seamlessly.
  version: 1.0.0
servers:
  - url: https://api.ekyc.daksam.ai
security:
  - APIKeyAuth: []
    APISecretAuth: []
    BearerAuth: []
paths:
  /kyc-api/v1.0/authenticate:
    post:
      summary: Authenticate API
      description: Authenticate using your API key and secret to get an access token.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                api_key:
                  type: string
                api_secret:
                  type: string
              required:
                - api_key
                - api_secret
      responses:
        '200':
          description: Successful authentication
          content:
            application/json:
              schema:
                type: object
                properties:
                  access_token:
                    type: string
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
components:
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
    APISecretAuth:
      type: apiKey
      in: header
      name: x-api-secret
    BearerAuth:
      type: apiKey
      in: header
      name: Authorization

````